def gv
pipeline{
    agent any
tools{
    maven 'Maven-3.9'
}
    stages {
            stage('Checkout') {
                steps {
                    scmSkip(deleteBuild: true, skipPattern:'.*\\[ci skip\\].*')
                }
            }
        stage('init'){
            steps{
                script{
                    gv = load "script.groovy"
                }
            }
        }
         stage ('increment Version') {
            steps{
                script{
                    echo 'Incrementing the Version...'
                    gv.incrementVersion()
                }
            }
        }
        stage('build jar'){
            steps{
                script{
                    echo 'building the application...'
                    gv.cleanAPP()
                    gv.buildAPP()
                }
            }
        }

        stage('build image'){
            steps{
                script{
                    echo 'buildin docker image and pushing to dockerhub'
                    gv.buildImage()
                }
            }
        }

        stage('deploy'){
            steps{
                script{
                    echo 'deploying the application'
                }
            }
        }
        stage('commiting version'){
            steps{
                script{
                    echo 'commiting the application version to git repository'
                    gv.commitVersion()
                }
            }
        }
    }

}